#include <iostream>
#include <cstdlib>

using namespace std;


int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);

    long N, M;
    cin>>N>>M;
    int matrica[N][M];
    int pomocna[N];

    for(long i = 0; i < N; i++)
        for(long j = 0; j < M; j++)
            {
                matrica[i][j] = 0;
                pomocna[i] = 0;
            }
    long leva = 0, desna = 0;
    for(long i = 0; i < N; i++)
    {
        long brojBojenja;
        cin>>brojBojenja;
        if(M % 2 == 0)
        {
            if(brojBojenja > M / 2)
            {
                desna++;
                brojBojenja = M - brojBojenja;
                for(long j = M; brojBojenja > 0; j--)
                {
                    matrica[i][j] = 1;
                    brojBojenja--;
                }
            }
            else if(brojBojenja < M / 2)
            {
                leva++;
                for(long j = 0; brojBojenja > 0; j++)
                {
                    matrica[i][j]=1;
                    brojBojenja--;
                }
            }
            else
            {
                pomocna[i] = brojBojenja;
            }
        }
        else
        {
            if(brojBojenja > (M + 1) / 2)
            {
                brojBojenja = M - brojBojenja;
                desna++;
                for(long j = M; brojBojenja > 0; j--)
                {
                    matrica[i][j]=1;
                    brojBojenja--;
                }
            }
            else if(brojBojenja < (M + 1) / 2)
            {
                leva++;
                for(long j = 0; brojBojenja > 0; j++)
                {
                    matrica[i][j]=1;
                    brojBojenja--;
                }
            }
            else
            {
                pomocna[i] = brojBojenja;
            }
        }



        //for(long x = 0; x < N; x++)
        //{
        //    for(long y = 0; y < M; y++)
        //    {
        //        cout<<matrica[x][y]<<" ";
        //    }
        //    cout<< "\n";
        //}



    }
    if(leva < desna)
    {
        for(long i = 0; i < N; i++)
        {
            pomocna[i] = M - pomocna[i];
            for(long j = M - 1; pomocna[i] > 0; j--)
            {
                matrica[i][j] = 1;
                pomocna[i]--;
            }
        }

    }
    else
    {
        for(long i = 0; i < N; i++)
            for(long j = 0; pomocna[i] > 0; j++)
                {
                    matrica[i][j] = 1;
                    pomocna[i]--;
                }
    }

    //for(long x = 0; x < N; x++)
    //{
    //    for(long y = 0; y < M; y++)
    //    {
    //        cout<<matrica[x][y]<<" ";
    //    }
    //    cout<< "\n";
    //}


    long zbir = 0;
    for(long j = 0; j < M; j++)
    {
        long brBojeno = 0, brNeBojeno = 0;
        for(long i = 0; i < N; i++)
        {
            if(matrica[i][j] == 1)
                brBojeno++;
            else brNeBojeno++;
        }
        zbir += brBojeno*brNeBojeno;
    }

    cout<<zbir;

}